-- JakeOJeffs CUSTOM CLOCK ENGINE
-- V1.02

function love.load()

heading1 = love.graphics.newFont("font.ttf", 60)
heading2 = love.graphics.newFont("font.ttf", 45)
heading3 = love.graphics.newFont("font.ttf", 30)
subtitle = love.graphics.newFont("font.ttf", 15)



-- Default Time Settings
msecs = 0 -- Starter Millisecond [ Max 10 ]
secs = 0 -- Starter second [ Max 60 ]
mins = 0 -- Starter minutes [ Max 60 ]
hrs = 0 -- Starter hours [ Max 10 ]
days = 1 -- Starter days [ Max 28/29 , 30, 31 ] [Min 1]
months = 12 -- Starter months [ Max 12 ] 
yrs = 1000 -- Starter years [ Infinite ] [ Min 4 Digits ]

m = "AM" -- Merdian [ Not necessary to change and will AUTO update]
ext = "st" -- Date Extension [ Not necessary to change and will AUTO update]
maxDays = nil
month = "January"  -- Month Name [ Not necessary to change and will AUTO update]

daysPassed = 0
thirtyDays = 30
thirtyoneDays = 31
twentyEightDays = 28


-- Time Rate increase
increaseRate = 10

-- DON'T CHANGE THESE VALUES [ DAYS LEFT & LEAP YEAR MOD's VARIABLES] [ MOD MOD MOD ]
--totalDays = 365
--daysleft = 0
--addedDays = nil
--lp = false
--quarter = 1/4 * totalDays
--half = 1/2 * totalDays
--phrases = "Half a year left"

end

function love.update(dt)
    -- IF you want to test mods, change msecs [ Line 48 ] to the Value you want to Change
    -- EXAMPLE
    -- hrs = hrs + increaseRate * dt [ Line 48 ]
    msecs = msecs + increaseRate * dt

    -- Time Counter Reset
    if msecs > 10 then
        msecs = 0
        secs = secs + 1
    end

    if secs > 60 then
        secs = 0 
        mins = mins + 1
    end

    if mins > 60 then
        mins = 0 
        hrs = hrs + 1
    end

    if hrs > 24 then
        hrs = 0
        days = days + 1
    end


    -- Month days Setting
    if months == 1 or months == 3 or months == 5 or months == 7 or months == 9 or months == 11 then
        maxDays = 31
    elseif months == 2 then
        maxDays = 28
    else 
        maxDays = 30
    end

    if days > maxDays then
        days = 1
        months = months + 1
    end

    if months > 12 then
        months = 0
        yrs = yrs + 1 
    end

    if hrs > 12 then
        m = "PM"
    else
        m = "AM"
    end

-- Month Name Assign
    if months == 1 then
        month = "January"
        daysPassed = days
    elseif months == 2 then
        month = "February"
        daysPassed = days + twentyEightDays
    elseif months == 3 then
        month = "March" 
        daysPassed = days + twentyEightDays + thirtyoneDays     
    elseif months == 4 then
        month = "April"
        daysPassed = days + twentyEightDays + thirtyoneDays + thirtyDays   
    elseif months == 5 then
        month = "May"   
        daysPassed = days + twentyEightDays + thirtyoneDays + thirtyDays + thirtyoneDays
    elseif months == 6 then
        month = "June"   
        daysPassed = days + twentyEightDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays
    elseif months == 7 then
        month = "July"   
        daysPassed = days + twentyEightDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays + thirtyoneDays
    elseif months == 8 then
        month = "August"
        daysPassed = days + twentyEightDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays
    elseif months == 9 then
        month = "September"
        daysPassed = days + twentyEightDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays + thirtyoneDays   
    elseif months == 10 then
        month = "October"   
        daysPassed = days + twentyEightDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays + thirtyoneDays   + thirtyDays
    elseif months == 11 then
        month = "November"   
        daysPassed = days + twentyEightDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays + thirtyoneDays   + thirtyDays + thirtyoneDays
    elseif months == 12 then
        month = "December"   
        daysPassed = days + twentyEightDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays + thirtyoneDays + thirtyDays + thirtyoneDays   + thirtyDays + thirtyoneDays + thirtyDays
    end     


    -- EXTENSION
    if days == 1 then
        ext = "st"
    elseif days == 2 then
        ext = "nd"
    elseif days == 3 then
        ext = "rd"
    elseif days < 21 then
        ext = "th"
    elseif days == 21 then
        ext = "st"
    elseif days == 22 then
        ext = "nd"
    elseif days == 23 then
        ext = "rd"
    elseif days < 31 then
        ext = "th"
    elseif days == 31 then
        ext = "st"
    end


    -- CHECK IF VALUES ARE AVAILABLE
    if days == 0 then
       love.event(quit)
    end
    if months < 1 then
        love.event(quit)
    end
    if yrs < 1000 then
        love.event(quit)
    end


    --[ DAYS LEFT MOD ]--

    --daysleft = totalDays - daysPassed

    --if daysleft > quarter * 3 then
        --phrases = "3 Quarter a year left"
    --elseif daysleft > half then
        --phrases = "Half a year left"
    --elseif daysleft > quarter then
        --phrases = "Quarter a year left"
    --end

    --[ LEAP YEAR MOD ]--

    --if yrs % 4 == 0 then
        --lp = true
    --else
        --lp = false
    --end
    --if lp then
        --l1 = 0
        --l2 = 255
        --l3 = 0
    --else 
        --l1 = 255
        --l2 = 0
        --l3 = 0
    --end
end



function love.keypressed(key)
    if key == "e" then
        print(maxDays)
        print(months)
        print(days)

        print(daysPassed)

    end
 end
 
function love.draw()

    love.graphics.setFont(heading1)
    -- Timer Display
    love.graphics.setColor(1,1,1)

    love.graphics.print(math.floor(days)..ext.." "..month,10, 100)
    love.graphics.print(math.floor(hrs).." : "..mins.." : "..secs.." : "..math.floor(msecs).."  "..m,10, 200)

    love.graphics.setColor(1,1,1)
    love.graphics.print(yrs,10, 400)
    love.graphics.setFont(heading2)

        --[ DAYS LEFT MOD ]--
    --love.graphics.print(phrases.." : "..math.floor(daysleft).." days till "..(yrs+1),10, 500)
    --love.graphics.print(math.floor(daysleft)+(totalDays*4).." days till "..(yrs+5),10, 550)

        --[ LEAP YEAR MOD ]--
    --love.graphics.setFont(heading2)
    --love.graphics.print("Leap Year",10, 300)
    --love.graphics.setFont(heading3)
    --love.graphics.setColor(l1/255,l2/255,l3/255)
    --love.graphics.print(tostring(lp),10, 350)
end